# Generated by Django 2.2.6 on 2024-08-20 22:20

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [('transcribe', '0020_populate_transcribe_users')]

    operations = [
        migrations.AlterField(
            model_name='project',
            name='reviewers',
            field=models.ManyToManyField(
                blank=True,
                related_name='review_projects',
                to='transcribe.TranscribeUser',
            ),
        ),
        migrations.AlterField(
            model_name='project',
            name='transcribers',
            field=models.ManyToManyField(
                blank=True,
                related_name='transcription_projects',
                to='transcribe.TranscribeUser',
            ),
        ),
        migrations.AlterField(
            model_name='userpreferences',
            name='user',
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='preferences',
                to='transcribe.TranscribeUser',
            ),
        ),
        migrations.AlterField(
            model_name='userprojectpreferences',
            name='user',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='projects',
                to='transcribe.TranscribeUser',
            ),
        ),
        migrations.AlterField(
            model_name='usertask',
            name='user',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='tasks',
                to='transcribe.TranscribeUser',
            ),
        ),
    ]
